Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1292303 - libscrypt: epel compat, modernize and bump version
Summary: libscrypt: epel compat, modernize and bump version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libscrypt
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Denis Fateyev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-16 23:51 UTC by Denis Fateyev
Modified: 2016-02-01 23:24 UTC (History)
1 user (show)

Fixed In Version: libscrypt-1.21-1.fc22 libscrypt-1.21-1.fc23 libscrypt-1.21-1.el7 libscrypt-1.21-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-26 03:18:47 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Specfile improvements (deleted)
2015-12-16 23:51 UTC, Denis Fateyev
no flags Details

Description Denis Fateyev 2015-12-16 23:51:38 UTC
Created attachment 1106558 [details]
Specfile improvements

Please consider applying the patch attached.

* Explicitly adding "-fPIC" for el6 branch since '_hardened_build' doesn't work as expected there (all other kept untouched).

* Explicit trivial BRs as requested by new policy. Now we don't always rely on pre-installed build env.

* Make install cosmetic changes, to be more clear ("%make_install" is a bit mess, imho).

* License tag introduction, with a workaround for el6.

* Bump version to 1.21.

Comment 1 Denis Fateyev 2015-12-23 11:57:15 UTC
Appeal to the maintainer: please improve the spec and update package version. We can discuss details here, or you just can write me by e-mail.
Otherwise, I'll run nonresponsive maintainer procedure since there is no contact, package was outdated in Fedora branches, no any co-maintainers, and there is no way to provide EPEL branches.

Comment 2 Fedora Admin XMLRPC Client 2016-01-16 08:19:40 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Update System 2016-01-17 07:32:45 UTC
libscrypt-1.21-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e1c4663bf6

Comment 4 Fedora Update System 2016-01-17 07:32:50 UTC
libscrypt-1.21-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-95f6d959c2

Comment 5 Fedora Update System 2016-01-17 07:32:50 UTC
libscrypt-1.21-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fe130f41a1

Comment 6 Fedora Update System 2016-01-17 19:18:20 UTC
libscrypt-1.21-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e1c4663bf6

Comment 7 Fedora Update System 2016-01-17 19:22:37 UTC
libscrypt-1.21-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-54a5e7e12f

Comment 8 Fedora Update System 2016-01-17 19:53:36 UTC
libscrypt-1.21-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fe130f41a1

Comment 9 Fedora Update System 2016-01-17 19:54:03 UTC
libscrypt-1.21-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-95f6d959c2

Comment 10 Fedora Update System 2016-01-26 03:18:45 UTC
libscrypt-1.21-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-01-26 18:26:02 UTC
libscrypt-1.21-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-02-01 22:54:23 UTC
libscrypt-1.21-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-02-01 23:24:30 UTC
libscrypt-1.21-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.